<template>
  <div v-loading="isDataLoading">
    <template v-if="transactions.length === 0">
      <utils-not-found />
    </template>
    <el-card
      v-else
      shadow="always"
      class="my-5"
      v-for="data in transactions"
      :key="data"
    >
      <div class="grid grid-cols-3 gap-2">
        <div>{{ $t("transaction_no") }}</div>
        <div class="col-span-2 text-right">{{ data.DisplayTransactionNo }}</div>
        <div>{{ $t("date") }}</div>
        <div class="col-span-2 text-right">
          {{ data.RequestedTimeForDisplay }}
        </div>
        <div>{{ $t("requested_amount") }}</div>
        <div class="col-span-2 text-right">
          {{ data.RequestedAmountForDisplay }}
        </div>
        <div>{{ $t("approved_amount") }}</div>
        <div class="col-span-2 text-right">
          {{ data.ApprovedAmountForDisplay }}
        </div>
        <div v-if="transactionType === 'Deposit'">{{ $t("deposit_time") }}</div>
        <div class="col-span-2 text-right" v-if="transactionType === 'Deposit'">
          {{ data.DepositTime }}
        </div>
        <div>{{ $t("status") }}</div>
        <div class="col-span-2 text-right" :class="`fc-${data.ColorClass}`">
          {{ $t(data.StatusForDisplay) }}
        </div>
        <div class="col-span-3 text-right">
          <el-button
            v-if="data.IsCancelable"
            @click="cancelTransaction(data)"
            :disabled="isProcessing"
            type="primary"
            plain
            round
            size="small"
            >{{ $t("cancel") }}
          </el-button>
        </div>
      </div>
    </el-card>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";

import useTransactionHistoryMainContent from "@/composables/payment/transactionhistory/useTransactionHistoryMainContent";

export default defineComponent({
  name: "MobileTransactionHistoryMainContent",
  setup() {
    const {
      transactions,
      transactionType,
      isDataLoading,
      cancelTransaction,
      isProcessing,
    } = useTransactionHistoryMainContent();
    return {
      transactions,
      transactionType,
      isDataLoading,
      cancelTransaction,
      isProcessing,
    };
  },
});
</script>
